#pragma once
#include "components.hpp"
#include "textures.hpp"
#include "easings.hpp"

namespace animation {
  struct AnimationManager {
    std::unordered_map<std::string, components::Animation> animations;
  };

  bool apply(components::Animation& anim, textures::SpriteTexture& target);
  void rotate(sf::Sprite& target, float degrees);
  void center(sf::Sprite& target, sf::Vector2f pos);

  void init();
  components::Animation load(std::string name);
}
